from .download import download_zip, download_file
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "flanges.zip",down_path)
download_zip(xz_url + "materials.zip",down_path)
download_file(xz_url + "operators.py",down_path)
from .translation.translate import GetTranslationDict

bl_info = {
	'name': 'Random Flow',
	'author': 'Ian Lloyd Dela Cruz',
	'version': (3, 1, 0),
	'blender': (4, 1, 0),
	'location': '3d View > Tool shelf',
	'description': 'Collection of random greebling functionalities',
	'warning': '',
	'wiki_url': '',
	'doc_url': 'https://www.blenderguppy.com/add-ons/random-flow',
	'tracker_url': 'https://www.blenderguppy.com/add-ons/help-and-support',
	'category': 'Mesh'}

from . import operators
from . import utils
from . import ui
import bpy
from . import preferences

def register():

	operators.register()
	ui.register()
	preferences.register()
	
	try:
		bpy.app.translations.register(__package__, GetTranslationDict())
	except Exception as e: print(e)

def unregister():

	preferences.unregister()
	ui.unregister()
	operators.unregister()
	try:
		bpy.app.translations.unregister(__package__)
	except Exception as e: print(e)